Score comparisons¶
GET/
Account Health Check API · Account Health Scores
Get health score for comparison to other organizations in your region.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
Request samples¶
curl -X GET "https://api-<data-region>.central.sophos.com/account-health-check/v1/scores/regional" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api-<data-region>.central.sophos.com/account-health-check/v1/scores/regional",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/account-health-check/v1/scores/regional" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/account-health-check/v1/scores/regional", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/account-health-check/v1/scores/regional", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Account Health Check scores by region.¶
Response fields
bandsarray of objectrequiredList of bands.
Score Band.
Show child attributesHide child attributes
lowerBoundintegerLower tenant size bound.
upperBoundintegerUpper tenant size bound.
endpointobjectEndpoint.
Show child attributesHide child attributes
protectionComputerScoreintegerThe score.
Must be ≥ 0 and ≤ 100.
Must be ≥ 0 and ≤ 100.
protectionServerScoreintegerThe score.
Must be ≥ 0 and ≤ 100.
Must be ≥ 0 and ≤ 100.
policyThreatProtectionComputerScoreintegerThe score.
Must be ≥ 0 and ≤ 100.
Must be ≥ 0 and ≤ 100.
policyThreatProtectionServerScoreintegerThe score.
Must be ≥ 0 and ≤ 100.
Must be ≥ 0 and ≤ 100.
exclusionsGlobalScoreintegerThe score.
Must be ≥ 0 and ≤ 100.
Must be ≥ 0 and ≤ 100.
exclusionsComputerScoreintegerThe score.
Must be ≥ 0 and ≤ 100.
Must be ≥ 0 and ≤ 100.
exclusionsServerScoreintegerThe score.
Must be ≥ 0 and ≤ 100.
Must be ≥ 0 and ≤ 100.
tamperProtectionGlobalScoreintegerThe score.
Must be ≥ 0 and ≤ 100.
Must be ≥ 0 and ≤ 100.
tamperProtectionComputerScoreintegerThe score.
Must be ≥ 0 and ≤ 100.
Must be ≥ 0 and ≤ 100.
tamperProtectionServerScoreintegerThe score.
Must be ≥ 0 and ≤ 100.
Must be ≥ 0 and ≤ 100.
Errors¶
| Status | Meaning |
|---|---|
429 | Too many requests. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"bands": [
{
"lowerBound": 0,
"upperBound": 0,
"endpoint": {
"protectionComputerScore": 0,
"protectionServerScore": 0,
"policyThreatProtectionComputerScore": 0,
"policyThreatProtectionServerScore": 0,
"exclusionsGlobalScore": 0,
"exclusionsComputerScore": 0,
"exclusionsServerScore": 0,
"tamperProtectionGlobalScore": 0,
"tamperProtectionComputerScore": 0,
"tamperProtectionServerScore": 0
}
}
]
}
See the guide for a narrative walkthrough of this API.